import { useModalStore } from '../../store/modalStore';

export function ModalContainer() {
  const modal = useModalStore(state => state.modal);

  return (
    modal && (
      <div className="fixed top-0 left-0 z-[100] flex items-center justify-center w-full h-full transition-opacity bg-black bg-opacity-90 [backdrop-filter:blur(10px);]">
        <div onClick={e => e.stopPropagation()} className="cursor-default">
          {modal}
        </div>
      </div>
    )
  );
}
